<ion-header class="ion-no-border">
  <ion-toolbar>
    <section class="header">
      <esspass-web-wallet-header-info></esspass-web-wallet-header-info>
    </section>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="handleRefresh($event)"></ion-refresher>
  <ion-grid class="background ion-no-padding ion-no-margin">
    <ion-row class="ion-align-items-center">
      <ion-col size="12" class="ion-text-center">
        <div class="container">
          <esspass-web-wallet-profile-content
            [backButton]="false"></esspass-web-wallet-profile-content>
          <div class="header-centered">
            <ion-text class="centered">My Credentials</ion-text>
          </div>
          @if (isLoading$ | async) {
          <ion-spinner name="lines"></ion-spinner>
          } @else { @for (pda1 of pda1Observables; track pda1.id) {
          <div>
            <ion-row class="ion-align-items-start">
              <ion-col size="12" class="ion-text-center">
                <esspass-web-wallet-credential
                  [date]="pda1.date!"
                  [time]="pda1.time!"
                  [governmentInstitution]="pda1.govInstitutionName"
                  [status]="pda1.status"
                  (click)="navigateToCredential(pda1.id)">
                </esspass-web-wallet-credential>
              </ion-col>
            </ion-row>
          </div>
          } @empty {
          <div class="no-credentials">No credentials</div>
          } }
        </div>
      </ion-col>
    </ion-row>

    <ion-row class="ion-align-items-center">
      <ion-col size="12" class="ion-text-center color-shape">
        <div class="scan" routerLink="/qr-code-reader">
          <span>Scan</span>
          <img
            class="scale-img"
            ngSrc="../../assets/scan-icon-w.svg"
            alt="scan"
            width="23"
            height="23" />
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>
  <esspass-web-wallet-footer></esspass-web-wallet-footer>
</ion-content>
